POSTGet Next Nonce by Account

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/blockchain/getNextNonceByAccount

Retrieves the next nonce for a specific account.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
accountAddressstringrequired

Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

Responses
noncestringrequired

Returns the next nonce value for the queried account. This value increments by 1 for each transaction created. Before creating a new transaction, check this value and use it to specify the transaction's nonce.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/blockchain/getNextNonceByAccount" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "accountAddress": "0x1234567890123456789012345678901234567890"
}'
Response
Example · 200
{
  "nonce": "string"
}